import type { ModalProps } from "antd";
import { Modal } from "antd";
import styles from "./index.less";

interface HncyModalProps extends ModalProps {
  height?: number;
  minHeight?: number;
  padding?: string | number;
}
const BaseModal = (props: HncyModalProps) => {
  const {
    children,
    title,
    onCancel,
    height,
    minHeight,
    style,
    padding,
    ...reset
  } = props;
  return (
    <Modal
      onCancel={onCancel}
      closeIcon={null}
      footer={null}
      destroyOnClose
      centered
      maskClosable
      classNames={{
        mask: styles.mask,
      }}
      {...reset}
      style={{ pointerEvents: "auto", ...style }}
    >
      <div className={styles.modalWrap} style={{ height, minHeight, padding }}>
        <div className={styles.head}>
          <p>{title}</p>
          <div className={styles.close} onClick={onCancel as () => void} />
        </div>
        <div className={styles.content}>{children}</div>
      </div>
    </Modal>
  );
};

export default BaseModal;
