


import styles from './index.less';
import level1 from '@/assets/images/middleSign/level1.png';
import level2 from '@/assets/images/middleSign/level2.png';
import level3 from '@/assets/images/middleSign/level3.png';
import level4 from '@/assets/images/middleSign/level4.png';
import level5 from '@/assets/images/middleSign/level5.png';
const CountyTopCard = ({
  level,
  item,
}: {
  level: number;
  item: PhysicalsignApi.IndexListItem;
}) => {
    const LevelMap: Record<number, any> = {
        1: {
          icon: level1,
          bg: '#FBF3DC',
          lineColor: '#FFA21F',
        },
        2: {
          icon: level2,
          bg: '#E5F0F7',
          lineColor: '#5E7FA3',
        },
        3: {
          icon: level3,
          bg: '#FAF1E7',
          lineColor: '#E99C54',
        },
        4: {
          icon: level4,
          bg: '#F2F1FB',
          lineColor: '#AEA8EF',
        },
        5: {
          icon: level5,
          bg: '#eaf6ff',
          lineColor: '#4c9eee',
        },
      };
  return (
    <div className={styles.container}>
      <div className={styles.titleWarp}>
        <div className={styles.icon}>
          {LevelMap[level]?.icon && (
            <img src={LevelMap[level]?.icon} alt="" className={styles.icon} />
          )}
        </div>
        <span className={styles.name}>{item?.objectName}</span>
      </div>
      <div className={styles.content}>
        <span className={styles.count} style={{ color: item?.statusColor }}>
          {item?.qualitySign}
        </span>
        <span
          className={styles.tag}
          style={{ backgroundColor: item?.statusColor }}
        >
          {item?.statusDescription}
        </span>
        {/* <div>
          <LineCharts
            data={[10, 90, 70, 80, 20, 80]}
            style={{ width: 160, height: 60 }}
            grid={{
              x: 0,
              y: 5,
              x2: 0,
              y2: 10,
            }}
            colorStops={[
              {
                offset: 0,
                color: '#D0E4FF', // 0% 处的颜色
              },

              {
                offset: 1,
                color: '#ACCEFC', // 100% 处的颜色
              },
            ]}
          />
        </div> */}
      </div>
    </div>
  );
};
export default CountyTopCard;
