import services from '@/services';
import { useRequest } from 'ahooks';
import { useEffect } from 'react';
import CountyTopCard from './CountyTopCard';
import styles from './index.less';
const CountyTop = ({
  indexId,
  indexName,
}: {
  indexId: string;
  indexName: string;
}) => {
  const { data, runAsync, loading } = useRequest(
    services.Physicalsign.queryTzzsPhysicalSignIndex,
    {
      manual: true,
    },
  );
  useEffect(() => {
    if (!indexId) return;
    runAsync({
      // objectId: '1',
      objectParentId: '1',
      latest: true,
      indexId: indexId,
      sortByScore: true,
    });
  }, [indexId]);
  return (
    <div className={styles.container}>
      <div className={styles.title}>区县{indexName}指数实时排名</div>
      <div className={styles.content}>
        {data?.data?.map((item, index) => {
          return <CountyTopCard level={index + 1} item={item}/>;
        })}
      </div>
    </div>
  );
};

export default CountyTop;
