import services from '@/services';
import { useRequest } from 'ahooks';
import { useEffect, useState } from 'react';
import IssueCard from '../IssueCard';
import styles from './index.less';

import { Spin } from 'antd';
//import InfiniteScroll from 'react-infinite-scroll-component';

export default ({ indexId }: { indexId: string }) => {
  const [issues, setIssues] = useState<
    PhysicalsignApi.TzzsLivePhysicalSignInfluenceFactorQuestionVO[]
  >([]);

  const { data, loading, run } = useRequest(
    services.Physicalsign.listTzzsLivePhysicalSignInfluenceFactorQuestionVO,
    {
      manual: true,
    },
  );

  useEffect(() => {
    if (indexId) {
      run({
        indexId: indexId,
        objectId: '1',
        // 添加其他可能需要的查询参数
      });
    }
  }, [indexId]);

  useEffect(() => {
    if (data?.data) {
      setIssues(data.data as any);
    }
  }, [data]);

  return (
    <div className={styles.container}>
      {issues?.length ? (
        <>

          <div className={styles.total}>
            共有<span>{issues.length}</span>个安全有关的问题正在处置中
          </div>
          <div className={styles.rightContainer}>
            {issues.map((issue) => (
              <IssueCard key={issue.id} item={issue} />
            ))}
          </div>
        </>
      ) : (
        <div
          style={{
            width: '100%',
            height: 630,
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
          }}
        >
           {loading ?<Spin/>  : <span>暂无数据</span>}
        </div>
      )}
      {/* <div id="scrollableDiv">
        <InfiniteScroll
          height={600}
          className={styles.rightContainer}
          dataLength={eventList?.length ?? 0}
          next={() => {
            setSearchParam((data: any) => {
              return { ...data, page: data.page + 1 };
            });
          }}
          hasMore={eventList?.length < data?.total}
          loader={<div style={{ color: 'white' }}>加载中...</div>}
          endMessage={<div style={{ color: 'white' }}></div>}
          scrollableTarget="scrollableDiv"
        >
          {eventList?.map((item) => {
                  return (
                    <CityCard
                      key={item.id}
                      item={{
                        eventId: item?.id,
                        disposePicPath: item?.dispose_pic_path,
                        sourceSystem: item?.extend_address,
                        timeDescription: item?.report_time,
                        standardEventTitle:item?.sub_type_name
                      }}
                      onClick={(eventId) => {
                        // setDteailModalShow(true);report_time
                        // setEventId(eventId);
                      }}
                    />
                  );
                })}
        </InfiniteScroll>
      </div> */}
    </div>
  );
};
