import * as echarts from "echarts";

export const lineOption: echarts.EChartsOption = {
  tooltip: {
    show: true,
  },
  legend: {
    show: false,
  },
  grid: {
    top: "20%",
    left: "12%",
    right: "5%",
    bottom: "12%",
  },
  title: {
    text: "近1月趋势",
    top: 0,
    textStyle: {
      fontSize: 16,
      fontWeight: "normal",
      color: "rgb(16, 47, 88)",
    },
  },
  xAxis: [
    {
      type: "category",
      boundaryGap: false,
      axisLine: {
        lineStyle: {
          color: "rgba(81, 81, 81,0.15)",
        },
      },

      axisTick: {
        show: false,
      },
      axisLabel: {
        color: "rgb(16, 47, 88)",
        fontSize: 16,
      },
      data: ["08.15", "08.23", "09.01", "09.07", "09.15"],
    },
  ],
  yAxis: {
    type: "value",
    splitLine: {
      show: false,
    },
    splitNumber: 5,
    interval: 100,
    axisLine: {
      show: false,
    },

    axisLabel: {
      color: "rgb(16, 47, 88)",
      fontSize: 16,
      margin: 36,
    },
  },

  series: [
    {
      type: "line",
      symbol: "none",
      smooth: false,

      lineStyle: {
        width: 4,
        color: "#669AFF",
      },
      areaStyle: {
        color: new echarts.graphic.LinearGradient(
          0,
          0,
          0,
          1,
          [
            {
              offset: 0,
              color: "rgb(216, 229, 255)",
            },
            {
              offset: 1,
              color: "rgba(216, 229, 255, 0)",
            },
          ],
          false
        ),
      },
      data: [180, 200, 100, 250, 300],
    },
  ],
};
