import * as echarts from "echarts";
export const gaugeOption: echarts.EChartsCoreOption = {
  series: [
    {
      type: "gauge",
      center: ["50%", "90%"],
      radius: "170%",
      startAngle: 180,
      endAngle: 0,
      min: 0,
      max: 100,
      splitNumber: 10,
      itemStyle: {
        color: {
          type: "linear",
          x: 1,
          y: 0,
          x2: 0,
          y2: 0,
          colorStops: [
            {
              offset: 0,
              color: "#43CC44", // 0% 处的颜色
            },
            {
              offset: 1,
              color: "#67EF6C", // 100% 处的颜色
            },
          ],
        },
      },
      progress: {
        show: true,
        width: 15,
        roundCap: true,
      },
      pointer: {
        show: false,
      },
      axisLine: {
        roundCap: true,
        lineStyle: {
          width: 15,
          color: [[1, "#dee4ea"]],
        },
      },
      axisTick: {
        distance: 5,
        splitNumber: 5,
        lineStyle: {
          width: 2,
          color: "#a9b4bd",
        },
      },
      splitLine: {
        show: false,
      },
      axisLabel: {
        show: false,
      },
      anchor: {
        show: false,
      },
      title: {
        show: false,
      },
      detail: {
        valueAnimation: true,
        width: "60%",
        offsetCenter: [0, "-40%"],
        fontSize: 50,
        fontWeight: 700,
        fontFamily: "D-DIN",
        formatter: "{value}",
        color: "rgb(67, 204, 68)",
      },
      data: [
        {
          value: 95.7,
        },
      ],
    },
  ],
};
export const barOption: echarts.EChartsOption = {
  tooltip: {
    show: true,
  },
  legend: {
    show: false,
  },
  grid: {
    top: "10%",
    left: "5%",
    right: "5%",
    bottom: "20%",
  },
  xAxis: [
    {
      type: "category",
      boundaryGap: false,

      show: true,
      axisLabel: {
        fontSize: 16,
      },
      axisLine: {
        show: false,
      },
      axisTick: {
        show: false,
      },
    },
  ],
  yAxis: {
    type: "value",
    splitLine: {
      show: false,
    },
    max: 100,
    show: false,
    axisLabel: {
      show: false,
    },
  },

  series: [
    {
      type: "bar",
      barWidth: 20,
      barGap: 20,
      itemStyle: {
        borderRadius: 18,
      },
      label: { show: false },
      showBackground: true,
      backgroundStyle: {
        borderRadius: 18,
      },

      data: [3, 3, 4, 2, 5, 6, 7],
    },
  ],
};
