export const administrativeLawMockData = {
  // 态势总览数据
  situationOverview: {
    currentIndex: {
      cqi: 95.7,
      time: "2024-01-18 10:00:00",
      status: "理想态"
    },
    areaIndexes: [
      { objectName: "锦江区", cqi: 95 },
      { objectName: "青羊区", cqi: 92 },
      { objectName: "金牛区", cqi: 88 },
      { objectName: "武侯区", cqi: 91 },
      { objectName: "成华区", cqi: 89 },
      { objectName: "高新区", cqi: 93 }
    ]
  },

  // 问题概况数据
  problemOverview: {
    total: 262,
    pending: 22,
    rate: 89.2,
    trend: [
      { date: "08.15", value: 180 },
      { date: "08.23", value: 200 },
      { date: "09.01", value: 100 },
      { date: "09.07", value: 250 },
      { date: "09.15", value: 300 }
    ]
  },

  // 领域事件态势分布
  domainEvents: {
    // 常态执法
    normalLaw: {
      count: 986,
      details: {
        cases: [
          {
            id: "1",
            title: "常态执法案件类型1",
            time: "2024-01-18 10:20:20",
            address: "天府新区华阳街道水杉街151号",
            department: "综合行政执法局",
            endTime: "2024-01-18 15:30:00",
            amount: 332,
            status: 2, // 处置中
            image: "https://example.com/case-image-1.jpg"
          },
          {
            id: "2",
            title: "常态执法案件类型2",
            time: "2024-01-18 09:20:20",
            address: "高新区天府大道1528号",
            department: "综合行政执法局",
            endTime: "2024-01-18 14:30:00",
            amount: 500,
            status: 1, // 已结案
            image: "https://example.com/case-image-2.jpg"
          },
          // ... 更多案件
        ]
      }
    },

    // 专项执法
    specialLaw: {
      count: 756,
      details: {
        cases: [
          {
            id: "1",
            title: "专项执法案件类型1",
            time: "2024-01-18 09:15:20",
            address: "高新区天府大道1528号",
            department: "综合行政执法局",
            endTime: "2024-01-18 14:20:00",
            reason: "这里显示执法事由这里显示执法事由这里显示执法事由",
            status: 1, // 已结案
            image: "https://example.com/special-case-1.jpg"
          },
          {
            id: "2",
            title: "专项执法案件类型2",
            time: "2024-01-18 08:15:20",
            address: "锦江区东大街",
            department: "综合行政执法局",
            endTime: "-",
            reason: "这里显示执法事由这里显示执法事由这里显示执法事由",
            status: 2, // 处置中
            image: "https://example.com/special-case-2.jpg"
          },
          // ... 更多案件
        ]
      }
    },

    // 违建治理
    illegalBuilding: {
      count: 432,
      details: {
        monthlyStats: {
          discovered: 152322,  // 本月发现违建
          disposed: 152322,    // 本月处置违建
          area: 152322        // 本月处置违建面积
        },
        cases: [
          {
            id: "1",
            title: "违建治理案件类型1",
            time: "2024-01-18 08:30:20",
            address: "锦江区东大街",
            department: "城管执法局",
            endTime: "2024-01-18 13:45:00",
            reason: "未经审批擅自搭建",
            status: 2, // 处置中
            image: "https://example.com/building-case-1.jpg"
          },
          {
            id: "2",
            title: "违建治理案件类型2",
            time: "2024-01-18 07:30:20",
            address: "武侯区科华北路",
            department: "城管执法局",
            endTime: "2024-01-18 12:45:00",
            reason: "违规建设临时建筑",
            status: 1, // 已结案
            image: "https://example.com/building-case-2.jpg"
          },
          // ... 更多案件
        ]
      }
    },

    // 执法督察
    supervision: {
      count: 654,
      details: {
        totalCases: 222,      // 本月执法督察案件总数
        caseTypes: [          // 案件类型分布
          { name: "类型一", value: 38, type: 1 },
          { name: "类型二", value: 30, type: 2 },
          { name: "类型三", value: 30, type: 3 },
          { name: "类型四", value: 30, type: 4 }
        ],
        feedback: {
          completed: 152322,  // 已反馈
          pending: 152322     // 待反馈
        },
        rectification: {
          completed: 152322,  // 已整改
          pending: 152322     // 待整改
        }
      }
    }
  }
}; 