import { Table } from "antd";
import styles from "./index.less";

interface MaintainCompanyProps {
  data: Array<{
    name: string;
    count: number;
  }>;
}

const MaintainCompany: React.FC<MaintainCompanyProps> = ({ data = [] }) => {

  const columns = [
    {
      title: "单位名称",
      dataIndex: "name",
      key: "name",

      align: "center",
    },
    {
      title: "维护数量",
      dataIndex: "count",
      key: "count",

      align: "center",
      render: (val: string) => {
        return <span className={styles.count}>{val}</span>;
      },
    },
  
  ];
  
  const tableData = data.map((item, index) => ({
    key: index.toString(),
    ...item
  }));
  
  return (
    <div className={styles.container}>
      <Table
        size={"small"}
        dataSource={tableData }
        columns={columns as any}
        pagination={false}
        rowClassName={(_: any, index: number) => {
          if (index % 2 == 0) {
            return styles.rowClassName1;
          } else {
            return styles.rowClassName;
          }
        }}
      />
    </div>
  );
};

export default MaintainCompany;
