import { Flex } from "antd";
import styles from "./index.less";
import RoadInfoCard from "@/pages/MunicipalFacilities/components/RoadModal/components/RoadInfoCard";

interface OverviewProps {
  data?: any;
  loading?: boolean;
}

const Overview: React.FC<OverviewProps> = ({ data }) => {
  const cardStyle: React.CSSProperties = {
    width: 321,
    height: 78,
    backgroundColor: 'rgb(243, 245, 255)',
    color: "rgb(16, 47, 88)"
  };

  return (
    <div className={styles.container}>
      <Flex align="center" justify="space-between">
        <div className={styles.header_title}>综合指挥态势总览</div>
        <div className={styles.header_time}>近一月</div>
      </Flex>
      <div className={styles.content}>
        <RoadInfoCard
          data={{
            label: "综合指挥总数",
            count: data?.total?.count || 0,
            unit: data?.total?.unit || '件'
          }}
          style={cardStyle}
        />
        <RoadInfoCard
          data={{
            label: "日常指挥",
            count: data?.daily?.count || 0,
            unit: data?.daily?.unit || '件'
          }}
          style={cardStyle}
        />
        <RoadInfoCard
          data={{
            label: "应急指挥",
            count: data?.emergency?.count || 0,
            unit: data?.emergency?.unit || '件'
          }}
          style={cardStyle}
        />
        <RoadInfoCard
          data={{
            label: "专项保障指挥",
            count: data?.special?.count || 0,
            unit: data?.special?.unit || '件'
          }}
          style={cardStyle}
        />
      </div>
    </div>
  );
};

export default Overview;
