import * as echarts from "echarts";

export const option = (data: any[], data1: any[], data2: any[]) => {
  return {
    legend: {
      data: ["应急指挥", "日常指挥", "专项保障"],
      icon: "circle",
      itemWidth: 8,
      itemHeight: 8,
    },
    tooltip: {
      trigger: "axis",
      // axisPointer: {
      //   type: 'cross',
      //   label: {
      //     backgroundColor: '#6a7985',
      //   },
      // },
    },
    xAxis: {
      type: "category",
      boundaryGap: false,
      show: true,
      data: data?.map((item) => item.name) || [],
      axisLine: {
        show: false,
      },
      splitLine: { show: false },
    },
    yAxis: {
      type: "value",
      axisLine: {
        show: false,
      },
      splitLine: { show: false },
      //   data:[10,20,30,40,50]
    },
    grid: {
      x: 30,
      y: 35,
      x2: 10,
      y2: 35,
    },
    series: [
      {
        name: "日常指挥",
        data: data1 || [],
        // symbol: (value: any, params: any) => {
        //   if (params.dataIndex == 2) return "emptyCircle";
        //   return "none";
        // },
        showSymbol: false,
        symbolSize : 10,
        type: "line",
        itemStyle: {
          normal: {
            color: "#f69552", // 改变折线点的颜色
            lineStyle: {
              color: "#f69552", // 改变折线颜色
            },
          },
        },

        areaStyle: {
          // 区域填充样式。设置后显示成区域面积图。
          color: {
            type: "linear",
            x: 0,
            y: 1,
            x2: 0,
            y2: 0.2,
            colorStops: [
              {
                offset: 0,
                color: "rgba(246, 149, 82, 0)", // 0% 处的颜色
              },

              {
                offset: 1,
                color: "rgb(246, 149, 82)", // 100% 处的颜色
              },
            ],
            global: false, // 缺省为 false
          },
        },

        stack: "Total",
      },
      {
        name: "专项保障",
        showSymbol: false,
        data: data2 || [],
        // symbol: (value: any, params: any) => {
        //   if (params.dataIndex == 2) return "emptyCircle";
        //   return "none";
        // },
        type: "line",
        symbolSize : 10,
        itemStyle: {
          normal: {
            color: "#eb6a6a", // 改变折线点的颜色
            lineStyle: {
              color: "#eb6a6a", // 改变折线颜色
            },
          },
        },

        areaStyle: {
          // 区域填充样式。设置后显示成区域面积图。
          color: {
            type: "linear",
            x: 0,
            y: 1,
            x2: 0,
            y2: 0.2,
            colorStops: [
              {
                offset: 0,
                color: "rgba(235, 106, 106, 0)", // 0% 处的颜色
              },

              {
                offset: 1,
                color: "rgb(235, 106, 106)", // 100% 处的颜色
              },
            ],
            global: false, // 缺省为 false
          },
        },

        stack: "Total",
      },
      {
        name: "应急指挥",
        data: data ?? [],
        symbolSize : 10,
        showSymbol: false,
        //  symbol: 'none',
        // symbol: (value: any, params: any) => {

        //   if (params.dataIndex == 2) return "emptyCircle";
        //   return "none";
        // },
        type: "line",

        itemStyle: {
          normal: {
            color: "#ffc732", // 改变折线点的颜色
            lineStyle: {
              color: "#ffc732", // 改变折线颜色
            },
          },
        },

        areaStyle: {
          // 区域填充样式。设置后显示成区域面积图。
          color: {
            type: "linear",
            x: 0,
            y: 1,
            x2: 0,
            y2: 0.2,
            colorStops: [
              {
                offset: 1,
                color: "rgb(240, 200, 94)", // 0% 处的颜色
              },
              {
                offset: 0,
                color: "rgba(240, 200, 94, 0)", // 0% 处的颜色
              },
            ],
            global: false, // 缺省为 false
          },
        },
      },
    ],
  };
};
