export const integratedCommandMockData = {
  // 总览数据
  overview: {
    total: {
      count: 2242,
      unit: '件'
    },
    daily: {
      count: 986,
      unit: '件'
    },
    emergency: {
      count: 756,
      unit: '件'
    },
    special: {
      count: 333,
      unit: '件'
    }
  },

  // 区域分布数据
  areaDistribution: [
    { name: "锦江区", value: 95 },
    { name: "青羊区", value: 92 },
    { name: "金牛区", value: 88 },
    { name: "武侯区", value: 91 },
    { name: "成华区", value: 89 },
    { name: "高新区", value: 93 }
  ],

  // 趋势数据
  trends: {
    daily: [
      { date: "08-15", value: 100 },
      { date: "08-19", value: 40 },
      { date: "08-23", value: 190 },
      { date: "08-26", value: 33 },
      { date: "09-01", value: 133 },
      { date: "09-04", value: 123 },
      { date: "09-07", value: 83 }
    ],
    emergency: [
      { date: "08-15", value: 10 },
      { date: "08-19", value: 120 },
      { date: "08-23", value: 90 },
      { date: "08-26", value: 133 },
      { date: "09-01", value: 133 },
      { date: "09-04", value: 123 },
      { date: "09-07", value: 183 }
    ],
    special: [
      { date: "08-15", value: 200 },
      { date: "08-19", value: 140 },
      { date: "08-23", value: 150 },
      { date: "08-26", value: 133 },
      { date: "09-01", value: 13 },
      { date: "09-04", value: 133 },
      { date: "09-07", value: 183 }
    ]
  },

  // 指挥详情数据
  commandDetails: {
    // 应急指挥
    emergency: {
      monthlyEvents: {
        total: 222,
        avgDuration: 1121
      },
      resources: {
        videos: 152322,
        personnel: 152322,
        equipment: 152322
      },
      forceTypes: [
        { name: "监督人员", value: 38, percent: 80 },
        { name: "市民", value: 30, percent: 20 },
        { name: "道桥抢修人员", value: 30, percent: 30 },
        { name: "其它", value: 30, percent: 20 }
      ],
      todayEvents: [
        {
          title: "应急事件1",
          time: "2024-01-18 10:20:20",
          address: "天府新区华阳街道水杉街151号",
          status: "处理中"
        }
      ]
    },

    // 日常指挥
    daily: {
      // ... 类似emergency的结构
    },

    // 专项保障指挥
    special: {
      // ... 类似emergency的结构
    }
  }
}; 