import React from "react";
import styles from "./index.less";
const OperationCard = ({
  width,
  height,
  icon,
  title,
  children,
  style,
}: {
  width: number;
  height: number;
  icon?: string;
  title: string | React.ReactElement;
  children: React.ReactElement;
  style?: React.CSSProperties;
}) => {
  return (
    <div
      className={styles.container}
      style={{ width: width, height: height, ...style }}
    >
      <div className={styles.icon}>
        <img src={icon} alt="" />
      </div>

      <div className={styles.leftWarp}>
        <div className={styles.title}>{title}</div>
        <div>{children}</div>
      </div>
    </div>
  );
};
export default OperationCard;
