import styles from "./index.less";

interface RealTimeStatusCardProps {
  normal: number;
  fault: number;
}

const RealTimeStatusCard: React.FC<RealTimeStatusCardProps> = ({ normal, fault }) => {
  const total = normal + fault;
  const normalRate = total > 0 ? (normal / total) * 100 : 0;

  return (
    <div className={styles.container}>
      <div className={styles.title}>实时状态</div>
      <div className={styles.barWarp}>
        <div className={styles.rate} style={{ width: `${normalRate}%` }}></div>
      </div>
      <div className={styles.countWarp}>
        <div style={{display:'flex',alignItems:'center'}}>
          <div
            className={styles.dot}
            style={{ backgroundColor: "rgb(29, 187, 138)" }}
          ></div>
          <span>正常</span>
          <span className={styles.blueFont}>{normal}</span>
        </div>
        <div style={{display:'flex',alignItems:'center'}}>
          <div
            className={styles.dot}
            style={{ backgroundColor: "rgb(242, 150, 35)" }}
          ></div>
          <span>故障</span>
          <span className={styles.orangeFont}>{fault}</span>
        </div>
      </div>
    </div>
  );
};

export default RealTimeStatusCard;
