import React from "react";
import styles from "./index.less";
import { Flex } from "antd";
import BaseDesc from "@/components/BaseDesc";

/** @name 实时指数    */
const RealtimeIndex: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.title}>城市实况指数</div>
      <div className={styles.realtimeIndexCard}>
        <Flex className={styles.indexWrap} align="end">
          <div>2024-09-09 12：00更新</div>
          <div>98.6</div>
        </Flex>
        <div className={styles.lineChart}></div>
      </div>
      <Flex className={styles.bottomBox} gap={24}>
        <div>
          <BaseDesc value={41.5} name="感知源总数" unit="万个"></BaseDesc>
        </div>
        <div>
          <BaseDesc value={2586} name="感知源问题数" unit="个"></BaseDesc>
        </div>
      </Flex>
    </div>
  );
};

export default RealtimeIndex;
