import * as echarts from "echarts";
const lineColors = ["#FA6875", "#FFA250", "#447FF0", "#43CC44"];
export const gaugeOption: echarts.EChartsOption = {
  series: [
    {
      type: "gauge",
      center: ["50%", "90%"],
      radius: "170%",
      startAngle: 180,
      endAngle: 0,
      min: 0,
      max: 100,
      splitNumber: 10,
      itemStyle: {
        color: {
          type: "linear",
          x: 1,
          y: 0,
          x2: 0,
          y2: 0,
          colorStops: [
            {
              offset: 0,
              color: "#43CC44", // 0% 处的颜色
            },
            {
              offset: 1,
              color: "#67EF6C", // 100% 处的颜色
            },
          ],
        },
      },
      progress: {
        show: true,
        width: 15,
        roundCap: true,
      },
      pointer: {
        show: false,
      },
      axisLine: {
        roundCap: true,
        lineStyle: {
          width: 15,
          color: [[1, "#dee4ea"]],
        },
      },
      axisTick: {
        distance: 5,
        splitNumber: 5,
        lineStyle: {
          width: 2,
          color: "#a9b4bd",
        },
      },
      splitLine: {
        show: false,
      },
      axisLabel: {
        show: false,
      },
      anchor: {
        show: false,
      },
      title: {
        show: false,
      },
      detail: {
        valueAnimation: true,
        width: "60%",
        offsetCenter: [0, "-40%"],
        fontSize: 50,
        fontWeight: 700,
        fontFamily: "D-DIN",
        formatter: "{value}",
        color: "rgb(67, 204, 68)",
      },
      data: [
        {
          value: 79.5,
        },
      ],
    },
  ],
};
export const lineOption: echarts.EChartsOption = {
  tooltip: {
    show: true,
    trigger: "axis",
  },
  legend: {
    show: false,
  },
  grid: {
    top: "10%",
    left: 0,
    right: 0,
    bottom: "1%",
  },
  xAxis: [
    {
      type: "category",
      boundaryGap: false,

      show: false,
    },
  ],
  yAxis: {
    type: "value",
    splitLine: {
      show: false,
    },
    show: false,
    axisLabel: {
      show: false,
    },
  },

  series: [
    {
      type: "line",
      symbol: "none",
      smooth: true,

      lineStyle: {
        width: 1,
        color: "rgb(42, 217, 102)",
      },
      areaStyle: {
        color: new echarts.graphic.LinearGradient(
          0,
          0,
          0,
          1,
          [
            {
              offset: 0,
              color: "rgba(69, 233, 126, 0.44)",
            },
            {
              offset: 1,
              color: "rgba(69, 233, 126, 0)",
            },
          ],
          false
        ),
      },
      data: [3, 3, 4, 2, 5, 6, 7],
    },
  ],
};
