// 环卫固废页面的完整mock数据
export const solidWasteMockData = {
  // 态势总览数据
  situationOverview: {
    currentIndex: {
      cqi: 95.7,  // 当前指数
      time: "2024-01-18 10:00:00", // 更新时间
      status: "优" // 状态
    },
    areaIndexes: [
      { objectName: "锦江区", cqi: 95 },
      { objectName: "青羊区", cqi: 92 },
      { objectName: "金牛区", cqi: 88 },
      { objectName: "武侯区", cqi: 91 },
      { objectName: "成华区", cqi: 89 },
      { objectName: "高新区", cqi: 93 }
    ]
  },

  // 问题概况数据
  problemOverview: {
    total: 262,     // 问题总数
    pending: 22,    // 待处置
    rate: 89.2,     // 处置率
    trend: [        // 近1月趋势
      { date: "08.15", value: 180 },
      { date: "08.23", value: 200 },
      { date: "09.01", value: 100 },
      { date: "09.07", value: 250 },
      { date: "09.15", value: 300 }
    ]
  },

  // 领域事件态势分布
  domainEvents: {
    cleanSweep: {
      count: 986,
      details: {
        workers: 22,
        vehicles: 22,
        cleanArea: {
          total: 22,
          mechanical: 22,
          manual: 22
        },
        // 更新清洁程度数据结构
        cleanliness: {
          roadCount: 86,
          shouldSweepCount: 120,
          sweptCount: 98,
          roads: [
            { name: "一级道路", value: 18, total: 22 },
            { name: "二级道路", value: 18, total: 22 },
            { name: "三级道路", value: 18, total: 22 },
            { name: "四级道路", value: 18, total: 22 }
          ]
        },
        // 更新今日事件数据结构
        todayEvents: {
          reported: 35,
          pending: 8,
          events: [
            {
              title: "这里是清扫保洁事件类型",
              time: "2024-10-20 10:20:20",
              address: "天府新区华阳街道水杉街151号",
              image: "https://example.com/event-image-1.jpg"
            },
            // ... 更多事件
          ]
        }
      }
    },
    // 垃圾处置数据
    refuseDisposal: {
      count: 756,
      details: {
        totalDisposal: 316,
        landfillAmount: 186,
        landfillPercent: "58.9",
        incinerationAmount: 130,
        incinerationPercent: "41.1",
        landfillInfo: {
          name: "长安垃圾填埋场",
          description: "长安垃圾填埋场位于成都市龙泉区洛带镇万兴乡...",
          image: "https://example.com/landfill-image.jpg",
          dailyAmount: 22
        },
        incinerationData: [
          { name: "焚烧厂A", value: 45 },
          { name: "焚烧厂B", value: 35 },
          // ... 更多数据
        ]
      }
    },
    // 餐厨垃圾数据
    kitchenWaste: {
      count: 432,
      details: {
        facilitiesCount: 6,
        totalProcessing: 316,
        processingData: [
          {
            name: "中心城区餐厨垃圾无害化处理项目一期",
            value: 38,
            percent: "80",
            type: 1
          },
          {
            name: "中心城区餐厨垃圾无害化处理项目二期",
            value: 30,
            percent: "80",
            type: 2
          }
        ]
      }
    },
    // 扬尘监管数据
    dustControl: {
      count: 245,
      details: {
        cityName: "成都市",
        aqi: 41,
        aqiLevel: "优",
        pollutants: [
          { name: "PM2.5", value: 22, unit: "mg/3" },
          { name: "PM10", value: 22, unit: "mg/3" }
        ],
        dischargeStats: Array.from({ length: 40 }, (_, i) => ({
          name: "频繁告警工地",
          value: Math.floor(Math.random() * 10) + 1
        })),
        keyArea: {
          name: "成都市轨道交能13号线一期公园大道站项目",
          image: "https://example.com/construction-site.jpg",
          inspectionTime: "2024-05-28 10:20:20 -2024-05-28 10:20:20",
          inspector: "黄林（副主任）",
          pm10: 58,
          pm25: 58,
          aqi: 58,
          qualified: true
        }
      }
    }
  }
}; 