import { Table } from "antd";
import styles from "./index.less";

interface MaintainCompanyProps {
  data: Array<{
    rank: number;
    district: string;
    score: number;
  }>;
  scrollY: number;
}

const MaintainCompany: React.FC<MaintainCompanyProps> = ({ data = [], scrollY }) => {

  const columns = [
    {
      title: "排名",
      dataIndex: "rank",
      key: "rank",

      align: "center",
    },
    {
      title: "市区县",
      dataIndex: "district",
      key: "district",

      align: "center",
    },
    {
      title: "评价得分",
      dataIndex: "score",
      key: "score",

      align: "center",
      render: (val: string) => {
        return <span className={styles.count}>{val}</span>;
      },
    },
  
  ];
  
  const tableData = data.map((item, index) => ({
    key: index.toString(),
    ...item
  }));

  return (
    <div className={styles.container}>
      <Table
        size={"small"}
        dataSource={tableData}
        columns={columns as any}
        pagination={false}
        scroll={{y:scrollY}}
        rowClassName={(_: any, index: number) => {
          if (index % 2 == 0) {
            return styles.rowClassName1;
          } else {
            return styles.rowClassName;
          }
        }}
      />
    </div>
  );
};

export default MaintainCompany;
