import React from "react";
import styles from "./index.less";
import { Flex } from "antd";
import { Progress } from "antd";

interface ProblemOverviewProps {
  data?: any;
  loading?: boolean;
}

/** @name 评价总结 */
const ProblemOverview: React.FC<ProblemOverviewProps> = ({ data }) => {
  return (
    <div className={styles.container}>
      <Flex justify="space-between" className={styles.header} align="center">
        <div className={styles.title}>评价总结</div>
      </Flex>
      <Flex className={styles.infoWrap} justify="space-between" align="center">
        <div>
          <Progress
            type="circle"
            size={148}
            percent={data?.centralDistricts?.score || 0}
            format={(percent) => (
              <div>
                <div>{percent}</div>
                <div style={{ fontSize: 16, marginTop: 10 }}>分</div>
              </div>
            )}
            strokeWidth={10}
          />
          <div style={{marginTop:20}}>"5+2"中心城区</div>
          <div style={{marginTop:10, color: 'green'}}>
            {data?.centralDistricts?.trend > 0 ? '+' : ''}{data?.centralDistricts?.trend}
          </div>
        </div>
        <div>
          <Progress
            type="circle"
            size={148}
            percent={data?.otherDistricts?.score || 0}
            format={(percent) => (
              <div>
                <div>{percent}</div>
                <div style={{ fontSize: 16, marginTop: 10 }}>分</div>
              </div>
            )}
            strokeWidth={10}
          />
          <div style={{marginTop:20}}>其它中心城区</div>
          <div style={{marginTop:10, color: 'green'}}>
            {data?.otherDistricts?.trend > 0 ? '+' : ''}{data?.otherDistricts?.trend}
          </div>
        </div>
        <div>
          <Progress
            type="circle"
            size={148}
            percent={data?.suburbanAreas?.score || 0}
            format={(percent) => (
              <div>
                <div>{percent}</div>
                <div style={{ fontSize: 16, marginTop: 10 }}>分</div>
              </div>
            )}
            strokeWidth={10}
          />
          <div style={{marginTop:20}}>郊区新城</div>
          <div style={{marginTop:10, color: 'green'}}>
            {data?.suburbanAreas?.trend > 0 ? '+' : ''}{data?.suburbanAreas?.trend}
          </div>
        </div>
      </Flex>
    </div>
  );
};

export default ProblemOverview;
