export const supervisionEvaluationMockData = {
  // 态势总览数据
  situationOverview: {
    currentIndex: {
      time: "2024-01-18 10:00:00",
      month: 9,
      year: 2024,
      areaScores: [
        { name: "锦江区", score: 95.5 },
        { name: "青羊区", score: 92.3 },
        { name: "金牛区", score: 88.7 },
        { name: "武侯区", score: 91.2 },
        { name: "成华区", score: 89.4 },
        { name: "高新区", score: 93.1 }
      ]
    }
  },

  // 评价总结
  evaluationSummary: {
    centralDistricts: {
      score: 92.5,  // "5+2"中心城区
      trend: "+2.1" // 环比变化
    },
    otherDistricts: {
      score: 88.7,  // 其它中心城区
      trend: "+1.5"
    },
    suburbanAreas: {
      score: 86.4,  // 郊区新城
      trend: "+1.8"
    }
  },

  // 领域事件态势分布
  domainEvents: {
    // 网格化管理
    gridManagement: {
      monthlyComplaints: {
        total: 221,
        trend: -0.25, // 环比降低0.25%
        trendData: [
          { date: "08.15", value: 180 },
          { date: "08.23", value: 200 },
          { date: "09.01", value: 100 },
          { date: "09.07", value: 250 },
          { date: "09.15", value: 300 }
        ],
        mainTypes: [
          { name: "污水井盖", count: 45, percent: 40 },
          { name: "路面破损", count: 38, percent: 35 },
          { name: "垃圾堆积", count: 32, percent: 25 }
        ],
        sources: [
          { name: "市民投诉", value: 38, percent: 60 },
          { name: "巡查发现", value: 30, percent: 40 }
        ]
      },
      disposalFeedback: {
        timelyRate: 95.5,    // 按时办结率
        overtimeRate: 4.5,   // 超期率
        satisfactionRate: 92.8 // 满意率
      },
      evaluationRanking: [
        { rank: 1, district: "锦江区", score: 95.5 },
        { rank: 2, district: "武侯区", score: 94.2 },
        { rank: 3, district: "青羊区", score: 93.8 }
      ]
    },

    // 行业日常监管
    industrySupervision: {
      industryScores: {
        lawEnforcement: 92.5,      // 行政执法
        environmentalHealth: 90.8,  // 环境卫生
        wasteDisposal: 89.7,       // 固体废弃物处置
        municipalFacilities: 91.2,  // 市政设施
        cityAppearance: 88.9,      // 市容秩序和广告招牌
        lighting: 93.1             // 照明设施
      },
      evaluationRanking: [
        { rank: 1, district: "锦江区", score: 94.5 },
        { rank: 2, district: "武侯区", score: 93.2 },
        { rank: 3, district: "青羊区", score: 92.8 }
      ],
      majorIssues: {
        streetVending: 156,        // 流动商贩占道经营
        garbageDumping: 123,      // 街面商家垃圾乱倾倒
        lightingMalfunction: 89    // 功能性照明故障
      }
    },

    // 数字城管常态监管
    digitalCityManagement: {
      monthlyIssues: {
        total: 221,
        trend: -0.25,
        trendData: [
          { date: "08.15", value: 180 },
          { date: "08.23", value: 200 },
          { date: "09.01", value: 100 },
          { date: "09.07", value: 250 },
          { date: "09.15", value: 300 }
        ],
        mainTypes: [
          { name: "市政设施", count: 45, percent: 40 },
          { name: "环境卫生", count: 38, percent: 35 },
          { name: "园林绿化", count: 32, percent: 25 }
        ],
        sources: [
          { name: "巡查发现", value: 38, percent: 60 },
          { name: "群众举报", value: 30, percent: 40 }
        ]
      },
      disposalFeedback: {
        timelyRate: 94.5,
        overtimeRate: 5.5,
        satisfactionRate: 91.8
      },
      evaluationRanking: [
        { rank: 1, district: "锦江区", score: 93.5 },
        { rank: 2, district: "武侯区", score: 92.2 },
        { rank: 3, district: "青羊区", score: 91.8 }
      ]
    }
  }
}; 