import { request } from "@umijs/max";

/** @module 首页总体态势接口 */

const IS_PROD = process.env.NODE_ENV === "production" ? true : false;

const reqBaseUrl = IS_PROD
  ? "/apis/physicalsignindex"
  : "/apis/physicalsignindex";
const urlProxyApis = (url: string) => {
  return `${reqBaseUrl}${url}`;
};

/** @description 获取成都市今日cqi */
export function getComparisonIndexInstance(params: any) {
  return request(urlProxyApis("/main/getComparisonIndexInstance"), {
    method: "GET",
    params: params,
  });
}

/** @description 获取top3 */
export function getListTopNItems() {
  return request(
    urlProxyApis(`/physicalsignindexquestioninstance/listTopNItems`),
    {
      method: "GET",
      params: {
        objectId: 1,
        indexId: 1,
        n: 3,
        indexType: 1,
      },
    }
  );
}

/** @description 获取区域分布  */
export function getRegionalDistribution() {
  return request(urlProxyApis("/hwgf/getDistrictIndexInstanceTop5"), {
    method: "GET",
    params: {
      objectId: 1,
      physicalSignType: 1,
      indexType: 1,
      industryId: "",
    },
  });
}

/** @description 总览区域指数 */
export function getSolidWasteAreaIndex(data: {
  physicalSignType?: number;
  indexType?: number;
  indexHierarchy?: number;
  objectId?: number;
  sort?: string;
  objectHierarchy?: number;
  indexId?: number;
}) {
  return request(urlProxyApis("/main/getDistrictIndexInstanceRanking"), {
    method: "GET",

    params: data,
  });
}
/** @description 市政设施今日体征指数 
 * 道桥体征 202
照明体征 203
环卫体征 204
市容广告体征 205
执法体征 206
扬尘体征 207
其他体征 208
固废体征 209
*/
export function getIndexInstance(data: {
  objectId: number;
  industryId: number;
}) {
  return request(urlProxyApis("/hwgf/getIndexInstance"), {
    method: "GET",

    params: data,
  });
}
